com.google.appengine.tools.development.testing

## Class LocalSearchServiceTestConfig

- java.lang.Object
- - com.google.appengine.tools.development.testing.LocalSearchServiceTestConfig

- All Implemented Interfaces:
    LocalServiceTestConfig

      public class LocalSearchServiceTestConfig
      extends java.lang.Object
      implements LocalServiceTestConfig

  Config for accessing the local text search service in tests.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSearchServiceTestConfig()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocalSearchService` | `getLocalSearchService()`
    `boolean` | `isPersistent()` Whether search service data will be persisted.
    `LocalSearchServiceTestConfig` | `setPersistent(boolean persistent)` True to persist search service data, otherwise all data will be stored in memory only.
    `LocalSearchServiceTestConfig` | `setStorageDirectory(java.lang.String storageDirectory)` Sets the directory to use to persist search service data, when persistence is enabled.
    `void` | `setUp()` Set up the local service.
    `void` | `tearDown()` Tear down the local service.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalSearchServiceTestConfig

          public LocalSearchServiceTestConfig()

  - ### Method Detail

    - #### isPersistent

          public boolean isPersistent()

      Whether search service data will be persisted.

    - #### setPersistent

          public LocalSearchServiceTestConfig setPersistent(boolean persistent)

      True to persist search service data, otherwise all data will be stored in memory only.
      Parameters:
        `persistent` -
      Returns:
        `this` (for chaining)

    - #### setStorageDirectory

          public LocalSearchServiceTestConfig setStorageDirectory(java.lang.String storageDirectory)

      Sets the directory to use to persist search service data, when persistence is enabled.
      Parameters:
        `storageDirectory` - the directory for storing data
      Returns:
        `this` (for chaining)

    - #### setUp

          public void setUp()

      Description copied from interface: `LocalServiceTestConfig`
      Set up the local service.
      Specified by:
        `setUp` in interface `LocalServiceTestConfig`

    - #### tearDown

          public void tearDown()

      Description copied from interface: `LocalServiceTestConfig`
      Tear down the local service.
      Specified by:
        `tearDown` in interface `LocalServiceTestConfig`

    - #### getLocalSearchService

          public static LocalSearchService getLocalSearchService()